
#language: ru

@MovingProducts

Функционал: 011. MovingProducts. Проверка контроля изменения планов отгрузки и остатков заказов в планах отгрузки

Сценарий: 011.1. MovingProducts. Проверка остатков заказа на перемещение в плане отгрузки - количество не может увеличиваться
	
	Дано Я подключаюсь под "Создание планов отгрузки"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.011. Перемещение товаров"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
		И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           |
		| 'План отгрузки для перемещения вручную' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от * *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   |
		| 'Сыр Адыгейский' |
	И в таблице "Товары" в поле 'Количество' я ввожу текст '12,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку с именем 'OK'
	Тогда открылось окно 'План отгрузки * от * *'
	Тогда в логе сообщений TestClient есть строка по шаблону "*Превышен остаток на складе Сырная ГП для Заказ на перемещение * от 13.10.2019 [Создан] на 2 кг.*"
	И Я закрываю окно 'План отгрузки * от * *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 011.2. MovingProducts. Завершение

	И я закрываю сеанс TESTCLIENT